unit gNfrLog;

// one little log screen.

(****************************************************************
Copyright (C)2000, Michael Ax. Created 2000. All rights reserved.
License to copy, use also for making and using derivative works
of this software is granted provided that that such works are
identified as "derived from the GnutViewer project" in all material
mentioning or referencing the derived work. Michael Ax makes no
representations concerning either the merchantability of this software
or the suitability of this software for any particular purpose. It is
provided "as is" without express or implied warranty of any kind.
These notices must be retained in this documentation and/or software.
*****************************************************************)

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  gNutFrame, gNutella, StdCtrls;

type
  TgNutLog = class(TGnutellaCustomFrame)
    Memo1: TMemo;
  private
    { Private declarations }
    procedure LogStatus(Sender: TObject; const s: String);
  public
    { Public declarations }
    procedure Init(aGnuTella: TGnuTellaTrans); override;
    end;

var
  gNutLog: TgNutLog;

implementation

{$R *.DFM}

procedure TgNutLog.Init(aGnuTella: TGnuTellaTrans);
begin
  inherited Init(aGnuTella);
  with gNutella do begin
    OnLogStatus:= LogStatus;
    end;
end;

procedure TgNutLog.LogStatus(Sender: TObject; const s: String);
begin
  with memo1.lines do begin
    insert(0,s);
    if Count>nLines then
      Delete(pred(count));
    end;
//  application.processmessages;
//  application.processmessages;
end;

end.

