unit gNfrHosts;

// which hosts did we discover while hanging out on the net?

(****************************************************************
Copyright (C)2000, Michael Ax. Created 2000. All rights reserved.
License to copy, use also for making and using derivative works
of this software is granted provided that that such works are
identified as "derived from the GnutViewer project" in all material
mentioning or referencing the derived work. Michael Ax makes no
representations concerning either the merchantability of this software
or the suitability of this software for any particular purpose. It is
provided "as is" without express or implied warranty of any kind.
These notices must be retained in this documentation and/or software.
*****************************************************************)

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  gNutFrame, gNutella, StdCtrls, ExtCtrls;

type
  TgNutHosts = class(TGnutellaCustomFrame)
    Panel1: TPanel;
    ListBox2: TListBox;
  private
    { Private declarations }
    procedure CatchHost(Sender: TObject; const s: String);
  public
    { Public declarations }
    procedure Init(aGnuTella: TGnuTellaTrans); override;
    end;

var
  gNutHosts: TgNutHosts;

implementation

{$R *.DFM}

procedure TgNutHosts.Init(aGnuTella: TGnuTellaTrans);
begin
  inherited Init(aGnuTella);
  with gNutella do begin
    OnCatchHost:= CatchHost;
    end;
end;

procedure TgNutHosts.CatchHost(Sender: TObject; const s: String);
var
  i:integer;
begin
//  Entering('CatchHost',s);
//  with listbox1.items do
//    i:=indexof(s);
  with listbox2.items do begin
//    if i=-1 then begin
      i:=indexof(s);
      if i=-1 then
        add(s);
      end;
end;

end.
