unit gNfrServers;

// what servers do we have to connect to when we first start

(****************************************************************
Copyright (C)2000, Michael Ax. Created 2000. All rights reserved.
License to copy, use also for making and using derivative works
of this software is granted provided that that such works are
identified as "derived from the GnutViewer project" in all material
mentioning or referencing the derived work. Michael Ax makes no
representations concerning either the merchantability of this software
or the suitability of this software for any particular purpose. It is
provided "as is" without express or implied warranty of any kind.
These notices must be retained in this documentation and/or software.
*****************************************************************)

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  gNutFrame, gNutella, StdCtrls, ExtCtrls;

type
  TgNutServers = class(TGnutellaCustomFrame)
    Memo1: TMemo;
    Panel1: TPanel;
    Button5: TButton;
    Edit3: TEdit;
    Button1: TButton;
    procedure Button5Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Init(aGnuTella: TGnuTellaTrans); override;
    end;

var
  gNutServers: TgNutServers;

implementation

{$R *.DFM}

procedure TgNutServers.Init(aGnuTella: TGnuTellaTrans);
begin
  inherited Init(aGnuTella);
  with gNutella do begin
    end;
  Button5Click(nil);
end;

procedure TgNutServers.Button5Click(Sender: TObject);
begin
  inherited;
  with memo1.lines do
    loadfromfile(edit3.text);
end;

procedure TgNutServers.Button1Click(Sender: TObject);
begin
  inherited;
  with memo1.lines do
    savetofile(edit3.text);
end;

end.

